Token payroll

Get Payment Confirmation Status

Reports whether a payment confirmation email was sent for a settlement order.

GEThttps://api.toku.com/stablecoin-payroll/get-payment-confirmation-status

Required scope: payroll:read

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/get-payment-confirmation-status?settlementOrderID=%3CsettlementOrderID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "emailSent": true,
  "sentAt": "2026-01-01T00:00:00Z",
  "errorMessage": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

settlementOrderIDstringrequired

Response

200Successful response
emailSentbooleanrequired
sentAtstring<date-time>
errorMessagestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits